Bug 1006697 - VNC console non-operational due to libvirt 1.0.5 (current Fedora 19 version) not supporting changing listen address
VNC console non-operational due to libvirt 1.0.5 (current Fedora 19 version) ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
19
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
virt
:
Depends On:
Blocks: 1006490
  Show dependency treegraph
 
Reported: 2013-09-11 02:51 EDT by Michal Skrivanek
Modified: 2013-10-02 02:39 EDT (History)
18 users (show)

See Also:
Fixed In Version: libvirt-1.0.5.6-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1006490
Environment:
Last Closed: 2013-10-02 02:39:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Skrivanek 2013-09-11 02:51:49 EDT
+++ This bug was initially created as a clone of Bug #1006490 +++

Description of problem:
I was unable to connect to the console of a running VM through the Ovirt web interface. I received the following error via VDSM on the host (log extracts below):
    error : qemuDomainChangeGraphics:1873 : internal error cannot change listen address setting on vnc graphics

I received a similar error when trying to use Spice.

Upgrading to latest libvirt (1.1.2-1) resolves the issue and VNC console connections function as expected.

Filing bug to suggest that libvirt >= 1.1.0 be required for oVirt 3.3 on Fedora 19.

Version-Release number of selected component (if applicable):
- Fedora 19 (engine and host)
- ovirt-engine 3.3.0-1
- VDSM 4.12.1
- qemu 1.4.2
- libvirt 1.0.5

How reproducible:
Always

Steps to Reproduce:
1. Install oVirt as normal
2. Create VM as normal, set console to VNC
3. Start VM and attempt to connect to console through oVirt web interface

Actual results:
On clicking console icon, dialog box appears with message:
    'VDSErrorException: Failed to SetVmTicketVDS, error = Unexpected exception'

Expected results:
VNC console (either native or noVNC) should appear and be connected to the running VM

Additional info:

--- Additional comment from Dan Kenigsberg on 2013-09-10 17:46:18 EDT ---

Is there a F19 libvirt bug on this? Please open one if there is none. I do not think F19 has libvirt >= 1.1.0, so we cannot require it (yet?).

Has there been a change in the listening address, btw? There should be only a change in the passwd and its ttl.

2013-09-09 04:22:46.693+0000: 7413: debug : virDomainFree:2326 : dom=0x7fb920009eb0, (VM: name=rhev-compute-01, uuid=e69df488-ad50-4c8c-9f37-a63463a81702)
2013-09-09 04:22:46.707+0000: 7415: debug : virDomainUpdateDeviceFlags:10057 : dom=0x7fb914055890, (VM: name=rhev-compute-01, uuid=e69df488-ad50-4c8c-9f37-a63463a81702), xml=<graphics autoport="yes" keymap="en-us" passwd="igRUBsYsw5ds" passwdValidTo="2013-09-09T04:24:46" port="5900" type="vnc">
      <listen address="172.30.18.244" network="vdsm-ovirtmgmt" type="network"/>
    </graphics>, flags=0
2013-09-09 04:22:46.707+0000: 7415: debug : qemuDomainObjBeginJobInternal:958 : Starting job: modify (async=none)
2013-09-09 04:22:46.707+0000: 7415: error : qemuDomainChangeGraphics:1873 : internal error cannot change listen address setting on vnc graphics

--- Additional comment from Michal Skrivanek on 2013-09-11 01:36:46 EDT ---

we're supposedly talking about a fix http://libvirt.org/git/?p=libvirt.git;a=commit;h=752596b5dd0b4f3d27defc9e232552ff5a0bf08a
Comment 1 Eric Blake 2013-09-11 22:31:28 EDT
I went ahead and backported that commit to v1.0.5-maint; it will be included the next time Cole builds for Fedora 19.
Comment 2 Fedora Update System 2013-09-20 17:42:26 EDT
libvirt-1.0.5.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libvirt-1.0.5.6-1.fc19
Comment 3 Fedora Update System 2013-09-21 04:26:34 EDT
Package libvirt-1.0.5.6-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libvirt-1.0.5.6-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17279/libvirt-1.0.5.6-1.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-09-24 10:46:45 EDT
libvirt-1.0.5.6-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libvirt-1.0.5.6-2.fc19
Comment 5 Fedora Update System 2013-10-02 02:39:33 EDT
libvirt-1.0.5.6-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.